table.tic-tac-toe {
  border: 2px solid black;
  border-collapse: collapse;
}
.tic-tac-toe .o {
  background: #8f8;
}
.tic-tac-toe .o:after {
  content: "o";
  display: block;
  text-align: center;
}
.tic-tac-toe .x {
  background: #f88;
}
.tic-tac-toe .x:after {
  content: "x";
  display: block;
  text-align: center;
}
.tic-tac-toe td {
  border: 1px solid black;
  cursor: crosshair;
  height: 2em;
  width: 2em;
}
.tic-tac-toe.game-over {
  border: 3px solid red;
  position: relative;
}
.tic-tac-toe.game-over.o:after {
  background: rgba(255, 255, 255, 0.6) none repeat scroll 0 0;
  content: "O has won the Game!";
  height: calc(98.5%);
  left: 0;
  padding-top: 1.5em;
  position: absolute;
  text-align: center;
  text-shadow: 1px 1px 2px #000;
  top: 0;
  width: 100%;
}
.tic-tac-toe.game-over.x:after {
  background: rgba(255, 255, 255, 0.6) none repeat scroll 0 0;
  content: "X has won the game!";
  height: calc(98.5%);
  left: 0;
  padding-top: 1.5em;
  position: absolute;
  text-align: center;
  text-shadow: 1px 1px 2px #000;
  top: 0;
}
.tic-tac-toe.game-over:not(.x):not(.o):after {
  background: rgba(255, 255, 255, 0.6) none repeat scroll 0 0;
  content: "PATT! AMK NIEMAND GEWONNEN";
  height: calc(98.5%);
  left: 0;
  padding-top: 1.5em;
  position: absolute;
  text-align: center;
  text-shadow: 1px 1px 2px #000;
  top: 0;
}
